# coding: utf-8
# frozen_string_literal: true
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "carbon/version"

Gem::Specification.new do |spec|
  spec.name          = "carbon-core"
  spec.version       = Carbon::VERSION
  spec.authors       = ["Jeremy Rodi"]
  spec.email         = ["redjazz96@gmail.com"]

  spec.summary       = "The Core logic of the Carbon language."
  spec.homepage      = "https://github.com/carbon-lang/core"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`
                       .split("\x0")
                       .reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency "base58", "~> 0.1"
  spec.add_dependency "oj", "~> 2.17"
  spec.add_dependency "ice_nine", "~> 0.11"
  spec.add_dependency "ruby-llvm", "~> 3.5"
  spec.add_dependency "concurrent-ruby"
end
